﻿@model MIMS.Portal.ViewModels.DeviceViewModel
@using MIMS.Portal.Core.Domains;

@{
    ViewData["PageTitle"] = "ویرایش دستگاه";
}


<form method="post">
    <div class="card">
        <div class="card-header">
            <h4 class="card-title">مشخصات دستگاه</h4>
        </div>
        <div class="card-body">
            <div class="card-block">

                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <input asp-for="Id" hidden />
                <input asp-for="SupervisorUserId" hidden />

                <div class="form">
                    <div class="form-body">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="ConnectionType" class="control-label"></label>
                                    <span asp-validation-for="ConnectionType" class="text-danger"></span>
                                    <select asp-for="ConnectionType" asp-description-for="ConnectionType" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Enum.PosConnectionType>().OrderBy(i=>i.Text)">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="PosBrandId" class="control-label"></label>
                                    <span asp-validation-for="PosBrandId" class="text-danger"></span>
                                    <select asp-for="PosBrandId" asp-description-for="PosBrandId" asp-items="@ViewBag.PosBrands" class="form-control">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="PosModelId" class="control-label"></label>
                                    <span asp-validation-for="PosModelId" class="text-danger"></span>
                                    <select asp-for="PosModelId" asp-description-for="PosModelId" asp-items="@ViewBag.PosModels" class="form-control">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="Serial" class="control-label"></label>
                                    <span asp-validation-for="Serial" class="text-danger"></span>
                                    <input asp-for="Serial" asp-description-for="Serial" class="form-control text-uppercase" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="OsType" class="control-label"></label>
                                    <span asp-validation-for="OsType" class="text-danger"></span>
                                    <select asp-for="OsType" asp-description-for="OsType" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Enum.PosOSType>().OrderBy(i=>i.Text)">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="AppVersion" class="control-label"></label>
                                    <span asp-validation-for="AppVersion" class="text-danger"></span>
                                    <input asp-for="AppVersion" asp-description-for="AppVersion" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="FirmwareVersion" class="control-label"></label>
                                    <span asp-validation-for="FirmwareVersion" class="text-danger"></span>
                                    <input asp-for="FirmwareVersion" asp-description-for="FirmwareVersion" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="OwnerType" class="control-label"></label>
                                    <span asp-validation-for="OwnerType" class="text-danger"></span>
                                    <select asp-for="OwnerType" asp-description-for="OwnerType" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Enum.PosOwnerType>().OrderBy(i=>i.Text)">
                                        <option selected value="">--</option>
                                    </select>
                                </div>
                            </div>
                            @*<div class="col-md-3">
            <div class="form-group">
                <label asp-for="Status" class="control-label"></label>
                <span asp-validation-for="Status" class="text-danger"></span>
                <select asp-for="Status" asp-description-for="Status" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Enum.PosStatus>().OrderBy(i=>i.Text)">
                    <option selected value="">--</option>
                </select>
            </div>
        </div>*@
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card-footer">
                <button type="submit" class="btn btn-primary btn-min-width">
                    <i class="icon-check2"></i>
                    ثبت
                </button>
        </div>
    </div>
</form>

@section Scripts{

    <script src="~/js/dropdown.js"></script>
}


